List passkeys (v2)
curl --request GET \
--url https://api.next.orenda.finance/v2/auth/passkey/credentials \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <x-program-id>'import requests
url = "https://api.next.orenda.finance/v2/auth/passkey/credentials"
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.next.orenda.finance/v2/auth/passkey/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/passkey/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/passkey/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.next.orenda.finance/v2/auth/passkey/credentials")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/passkey/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"credentialId": "AaIWjR2k8Qm3sV7tZ1pYxC",
"friendlyName": "My iPhone",
"createdAt": "2026-06-18T10:32:00Z",
"lastSignIn": "2026-06-19T08:15:00Z",
"transports": [
"internal"
]
},
{
"credentialId": "Bb3XkS4l9Rn4tW8uA2qZyD",
"friendlyName": "YubiKey 5C",
"createdAt": "2026-05-02T14:05:00Z",
"lastSignIn": "2026-06-10T09:40:00Z",
"transports": [
"usb",
"nfc"
]
}
]
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Invalid email or password"
}{
"message": "Forbidden"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "Missing program or user context"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Passkeys
List passkeys (v2)
Lists the passkeys registered to the signed-in user.
GET
/
v2
/
auth
/
passkey
/
credentials
List passkeys (v2)
curl --request GET \
--url https://api.next.orenda.finance/v2/auth/passkey/credentials \
--header 'Authorization: Bearer <token>' \
--header 'x-program-id: <x-program-id>'import requests
url = "https://api.next.orenda.finance/v2/auth/passkey/credentials"
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-program-id': '<x-program-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.next.orenda.finance/v2/auth/passkey/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v2/auth/passkey/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v2/auth/passkey/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.next.orenda.finance/v2/auth/passkey/credentials")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v2/auth/passkey/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"credentialId": "AaIWjR2k8Qm3sV7tZ1pYxC",
"friendlyName": "My iPhone",
"createdAt": "2026-06-18T10:32:00Z",
"lastSignIn": "2026-06-19T08:15:00Z",
"transports": [
"internal"
]
},
{
"credentialId": "Bb3XkS4l9Rn4tW8uA2qZyD",
"friendlyName": "YubiKey 5C",
"createdAt": "2026-05-02T14:05:00Z",
"lastSignIn": "2026-06-10T09:40:00Z",
"transports": [
"usb",
"nfc"
]
}
]
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Invalid email or password"
}{
"message": "Forbidden"
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "Missing program or user context"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
The user's access token from authentication (access_token on v1, accessToken on v2). The program and environment come from the token.
Headers
Identifies the program. Can also be sent as the programId query parameter.